#ifndef __PARSER_H
#define __PARSER_H

#include <string>
#include <vector>

#include "Intersectable.h"

namespace GtpVisibilityPreprocessor {

class SceneGraphNode;
class SceneGraphLeaf;
class Intersectable;


class Parser
{
public:
  Parser() {}

  virtual bool ParseFile(const std::string filename,
						 SceneGraphLeaf *root,
						 const bool loadMeshes = true,
						 std::vector<FaceParentInfo> *parents = NULL) 
  {return false;}
	
};

}

#endif
